﻿' RasterPS - Parameter Input Window
' Apr 2013 M.P.

Public Class FormParameter

    Public parLim(5, 2) As Double
    Public parCount As Integer
    Public parDone As Integer

    Private Sub FormParameter_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Init


    End Sub

    Private Sub ButtonSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSave.Click
        ' Close
        Dim emptyEntry(5) As Boolean
        Dim parValue(5) As Double
        Dim i As Integer

        ' Check: Empty Entry
        If (TextBoxPar1.Text = "") Then emptyEntry(1) = True
        If (TextBoxPar2.Text = "") Then emptyEntry(2) = True
        If (TextBoxPar3.Text = "") Then emptyEntry(3) = True
        If (TextBoxPar4.Text = "") Then emptyEntry(4) = True
        If (TextBoxPar5.Text = "") Then emptyEntry(5) = True
        For i = 1 To parCount
            If (emptyEntry(i) = True) Then
                MsgBox("Please enter " & i.ToString & ". Parameter!", MsgBoxStyle.Information, "Missing Input")
                Exit Sub

            End If

        Next

        ' Check: Wrong Value
        parValue(1) = Val(TextBoxPar1.Text)
        parValue(2) = Val(TextBoxPar2.Text)
        parValue(3) = Val(TextBoxPar3.Text)
        parValue(4) = Val(TextBoxPar4.Text)
        parValue(5) = Val(TextBoxPar5.Text)
        For i = 1 To parCount
            If (parValue(i) < parLim(i, 1) Or parValue(i) > parLim(i, 2)) Then
                MsgBox("Please enter " & i.ToString & ". Parameter: " & parLim(i, 1) & "..." & parLim(i, 2), MsgBoxStyle.Information, "Wrong Input")
                Exit Sub

            End If

        Next

        parDone = parCount
        Close()

    End Sub

    Private Sub ButtonDiscard_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDiscard.Click
        ' Discard

        parDone = 0
        Close()

    End Sub

End Class